﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Steema.TeeChart.Data;
using Steema.TeeChart.Functions;
using Steema.TeeChart.Styles;
using Steema.TeeChart.Tools;
using Steema.TeeChart.Animations;
using Steema.TeeChart.Editors;
using Steema.TeeChart.Editors.Series;
using Steema.TeeChart.Drawing;


namespace WindowsFormsApplication4
{
    public partial class Form1 : Form
    {
        Line line1;

        private Steema.TeeChart.Styles.HorizBar horizBar1;

        public Form1()
        {
            InitializeComponent();
            
            chartController1.Chart = tChart1;
            tChart1.Aspect.View3D = false;
            tChart1.Resize += new EventHandler(tChart1_Resize);
            
            this.tChart1.Chart.Legend.Visible = false;
            this.tChart1.Chart.Axes.Bottom.Visible = false;
                  
            horizBar1 = new Steema.TeeChart.Styles.HorizBar(this.tChart1.Chart);
            
            horizBar1.BarStyle = BarStyles.RectGradient;
            horizBar1.SideMargins = true;
            
            tChart1.Axes.Left.Labels.Align = Steema.TeeChart.AxisLabelAlign.Opposite;
          
            horizBar1.Add(120);
            horizBar1.Add(100);
            horizBar1.Add(75);

            horizBar1.TickLines.Visible = false;
            
            horizBar1.Marks.Transparent = true;
            horizBar1.Marks.ArrowLength = 0;
            this.tChart1.Axes.Left.Grid.Visible = false;

            this.tChart1.Chart.Axes.Left.Labels.AutoSize = true;
            horizBar1.YValues.Order = Steema.TeeChart.Styles.ValueListOrder.Ascending;
            this.tChart1.Walls.Visible = false;
            this.tChart1.Axes.Bottom.Visible = true;
            
            this.tChart1.Chart.Series.Add(horizBar1);
            this.tChart1.Axes.Top.MinimumOffset = 45;
            this.tChart1.Axes.Left.MinimumOffset = 25;
          
            
            this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);

            (tChart1.Axes.Left.Labels.Items.Add(2, "bar label 2")).Font.Size = 16;
            (tChart1.Axes.Left.Labels.Items.Add(1, "bar label 1")).Font.Size = 16;
            (tChart1.Axes.Left.Labels.Items.Add(0, "bar label 0")).Font.Size = 16;
        }

        void tChart1_Resize(object sender, EventArgs e)
        {
            for (int i = 0; i < this.tChart1.Axes.Left.Labels.Items.Count; i++)
            {
                horizBar1.Marks.Items[i].Transparent = true;
                this.tChart1.Axes.Left.Labels.Items[i].Font.Size = ((this.tChart1.Axes.Left.IEndPos - this.tChart1.Axes.Left.IStartPos) / (horizBar1.Count * 5));
                horizBar1.Marks.Items[i].Font.Size = ((this.tChart1.Axes.Left.IEndPos - this.tChart1.Axes.Left.IStartPos) / (horizBar1.Count * 5));
             
            }
        }

    }
}
